%bcond_without doc_pdf

Name:           python-string_utils
Version:        1.0.0
Release:    1%{?dist}
Summary:        Utility functions for strings validation and manipulation

License:        MIT
URL:            https://github.com/daveoncode/python-string-utils
Source0:        %{url}/archive/v%{version}/python-string-utils-%{version}.tar.gz

Patch0:          %{url}/pull/16.patch

BuildArch:      noarch

%global _description %{expand:
A handy library to validate, manipulate and generate strings, which is:

  • Simple and “pythonic”
  • Fully documented and with examples! (html version on readthedocs.io)
  • 100% code coverage! (see it with your own eyes on codecov.io)
  • Tested (automatically on each push thanks to Travis CI) against all
    officially supported Python versions
  • Fast (mostly based on compiled regex)
  • Free from external dependencies
  • PEP8 compliant}

%description %{_description}


%package -n python3-python-string-utils
Summary:        %{summary}


BuildRequires:  python3-devel

%description -n python3-python-string-utils %{_description}


%package doc
Summary:        Documentation for python-string-utils

%if %{with doc_pdf}
BuildRequires:  make
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3-sphinx-latex
BuildRequires:  latexmk
BuildRequires:  python3dist(sphinx-rtd-theme)
%endif

%description doc
%{summary}.


%prep
%autosetup -n python-string-utils-%{version} -p1

find . -type f -perm /0111 \
    -exec gawk '!/^#!/ { print FILENAME }; { nextfile }' '{}' '+' |
  xargs -r -t chmod -v a-x


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel

%if %{with doc_pdf}
%make_build -C docs latex SPHINXOPTS='-j%{?_smp_build_ncpus}'
%make_build -C docs/_build/latex LATEXMKOPTS='-quiet'
%endif


%install
%pyproject_install
%pyproject_save_files string_utils


%check
%tox


%files -n python3-python-string-utils -f %{pyproject_files}
%doc README.md
%doc CHANGELOG.md


%files doc
%license LICENSE
%if %{with doc_pdf}
%doc docs/_build/latex/PythonStringUtils.pdf
%endif


%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-1
- initial build
